Package org.apache.coyote.http2

## Class Http2AsyncUpgradeHandler.SendfileCompletionHandler

- java.lang.Object
- - org.apache.coyote.http2.Http2AsyncUpgradeHandler.SendfileCompletionHandler

All Implemented Interfaces:
  `java.nio.channels.CompletionHandler<java.lang.Long,​org.apache.coyote.http2.SendfileData>`

Enclosing class:
  Http2AsyncUpgradeHandler

    protected class Http2AsyncUpgradeHandler.SendfileCompletionHandler
    extends java.lang.Object
    implements java.nio.channels.CompletionHandler<java.lang.Long,​org.apache.coyote.http2.SendfileData>

### Constructor Summary

Constructors
`protected` `SendfileCompletionHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `completed​(java.lang.Long nBytes, org.apache.coyote.http2.SendfileData sendfile)`
`void` `failed​(java.lang.Throwable t, org.apache.coyote.http2.SendfileData sendfile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendfileCompletionHandler

    protected SendfileCompletionHandler()

### Method Detail

#### completed

    public void completed​(java.lang.Long nBytes,
                          org.apache.coyote.http2.SendfileData sendfile)

Specified by:
  `completed` in interface `java.nio.channels.CompletionHandler<java.lang.Long,​org.apache.coyote.http2.SendfileData>`

#### failed

    public void failed​(java.lang.Throwable t,
                       org.apache.coyote.http2.SendfileData sendfile)

Specified by:
  `failed` in interface `java.nio.channels.CompletionHandler<java.lang.Long,​org.apache.coyote.http2.SendfileData>`